NX Open C++ Reference Guide
|
Represents a Features::OffsetEdge builder
To create a new instance of this class, use Features::SynchronousEdgeCollection::CreateOffsetEdgeBuilder
Created in NX9.0.0.
More...
Public Types | |
enum | EndFaceBehaviourType { EndFaceBehaviourTypeExtend, EndFaceBehaviourTypeMorph } |
the end face behavior settings enumeration More... | |
enum | OffsetEdgeMethod { OffsetEdgeMethodAlongFace, OffsetEdgeMethodAlongPlaneofEdge } |
the offset edge method enumeration More... | |
Public Member Functions | |
NXOpen::Expression * | Distance () |
Returns the distance for offset edge Created in NX9.0.0. | |
NXOpen::ScCollector * | EdgeToOffset () |
Returns the edge collector to offset Created in NX9.0.0. | |
NXOpen::Features::OffsetEdgeBuilder::EndFaceBehaviourType | EndFaceBehavior () |
Returns whether fix side faces Created in NX9.0.0. | |
NXOpen::Features::OffsetEdgeBuilder::OffsetEdgeMethod | Method () |
Returns the method for offset edge Created in NX9.0.0. | |
bool | ReverseOffsetDirection () |
Returns whether reverse offset direction Created in NX9.0.0. | |
bool | ReverseOffsetSide () |
Returns whether reverse offset side Created in NX9.0.0. | |
void | SetEndFaceBehavior (NXOpen::Features::OffsetEdgeBuilder::EndFaceBehaviourType endFaceBehaviour) |
Sets whether fix side faces Created in NX9.0.0. | |
void | SetMethod (NXOpen::Features::OffsetEdgeBuilder::OffsetEdgeMethod method) |
Sets the method for offset edge Created in NX9.0.0. | |
void | SetReverseOffsetDirection (bool reverseOffsetDirection) |
Sets whether reverse offset direction Created in NX9.0.0. | |
void | SetReverseOffsetSide (bool reverseOffsetSide) |
Sets whether reverse offset side Created in NX9.0.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Features::OffsetEdge builder
To create a new instance of this class, use Features::SynchronousEdgeCollection::CreateOffsetEdgeBuilder
Created in NX9.0.0.
NXOpen::Expression* NXOpen::Features::OffsetEdgeBuilder::Distance | ( | ) |
Returns the distance for offset edge
Created in NX9.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::OffsetEdgeBuilder::EdgeToOffset | ( | ) |
Returns the edge collector to offset
Created in NX9.0.0.
License requirements : None
NXOpen::Features::OffsetEdgeBuilder::EndFaceBehaviourType NXOpen::Features::OffsetEdgeBuilder::EndFaceBehavior | ( | ) |
Returns whether fix side faces
Created in NX9.0.0.
License requirements : None
NXOpen::Features::OffsetEdgeBuilder::OffsetEdgeMethod NXOpen::Features::OffsetEdgeBuilder::Method | ( | ) |
Returns the method for offset edge
Created in NX9.0.0.
License requirements : None
bool NXOpen::Features::OffsetEdgeBuilder::ReverseOffsetDirection | ( | ) |
Returns whether reverse offset direction
Created in NX9.0.0.
License requirements : None
bool NXOpen::Features::OffsetEdgeBuilder::ReverseOffsetSide | ( | ) |
Returns whether reverse offset side
Created in NX9.0.0.
License requirements : None
void NXOpen::Features::OffsetEdgeBuilder::SetEndFaceBehavior | ( | NXOpen::Features::OffsetEdgeBuilder::EndFaceBehaviourType | endFaceBehaviour | ) |
Sets whether fix side faces
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
endFaceBehaviour | endfacebehaviour |
void NXOpen::Features::OffsetEdgeBuilder::SetMethod | ( | NXOpen::Features::OffsetEdgeBuilder::OffsetEdgeMethod | method | ) |
Sets the method for offset edge
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
method | method |
void NXOpen::Features::OffsetEdgeBuilder::SetReverseOffsetDirection | ( | bool | reverseOffsetDirection | ) |
Sets whether reverse offset direction
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
reverseOffsetDirection | reverseoffsetdirection |
void NXOpen::Features::OffsetEdgeBuilder::SetReverseOffsetSide | ( | bool | reverseOffsetSide | ) |
Sets whether reverse offset side
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
reverseOffsetSide | reverseoffsetside |